Subject: Birthday

From: Noel Gregg <[email-masked]>
Date: Thu, 9 May 1996 06:49:37 +1200

Dave Happy Birthday for the 7th and we hope all is well over there.Are you
comming to NZ this yea?.We are staying put. I am retiring on June 30 from 30
years in the Fire Service and will make my way in life as a blacksmith this
has been abit  of a shock to start but now I'm used of it. They the fire people
offered aone off payment to thge older firemen to go and I took it.So mayby
after Ihave settled I will go tripping again,   love to Joan
Noel and Ann
Regards

Noel Gregg